#pragma once

#include <yandex/maps/wiki/social/common.h>

#include <maps/libs/chrono/include/days.h>

#include <pqxx/pqxx>

namespace maps::wiki::social::suspicious_users {

void removeOld(pqxx::transaction_base& txn, chrono::Days olderThan);
void onTaskCreated(pqxx::transaction_base& txn, TUid uid, const std::string& userCreatedOrUnbannedAt);

} // namespace maps::wiki::social::suspicious_users
